### Hierarchy

- IEmitter
  - IGridCell

### Implemented by

- GridCell

## Index

### Properties

- CANCEL
- DONE
- STOP
- VALUE
- button
- cell
- cellBorders
- cellPopper
- col
- dataset
- emit
- freeze
- hasHistory
- hidden
- index
- input
- isButton
- isButtonValue
- isImage
- off
- on
- params
- permission
- position
- reference
- register
- row
- style
- type
- unRegister

### Methods

- cancel
- edit
- getDetails
- getFlattenStyles
- highlight
- history
- onButton
- removeEvent
- removeEvents
- selected
- setButton
- setFound
- setFreeze
- setOffset
- setPermission
- setRowIndex
- setSize
- setSorting
- setStyle
- setXPosition
- setYPosition
- update
- updateSoftMerge

## Properties

### CANCEL

CANCEL: string

- Defined in Grid3/GridCell.ts:66

### DONE

DONE: string

- Defined in Grid3/GridCell.ts:65

### STOP

STOP: string

- Defined in Grid3/GridCell.ts:67

### VALUE

VALUE: string

- Defined in Grid3/GridCell.ts:64

### button

button: IActionsButton | null

- Defined in Grid3/GridCell.ts:71

### cell

cell: HTMLDivElement

- Defined in Grid3/GridCell.ts:73

### cellBorders

cellBorders: HTMLDivElement

- Defined in Grid3/GridCell.ts:74

### cellPopper

cellPopper: HTMLDivElement

- Defined in Grid3/GridCell.ts:75

### col

col: number

- Defined in Grid3/GridCell.ts:70

### dataset

dataset: IGridCellDataset

- Defined in Grid3/GridCell.ts:76

### emit

emit: function

Inherited from IEmitter.emit

- Defined in Emitter.ts:4

#### Type declaration

- - (name: string, args?: any): void

  - #### Parameters

    - ##### name: string

    - ##### Optional args: any

    #### Returns void

### freeze

freeze: string

- Defined in Grid3/GridCell.ts:77

### hasHistory

hasHistory: boolean

- Defined in Grid3/GridCell.ts:83

### hidden

hidden: boolean

- Defined in Grid3/GridCell.ts:87

### index

index: IGridContentCellPosition

- Defined in Grid3/GridCell.ts:81

### input

input: HTMLInputElement

- Defined in Grid3/GridCell.ts:88

### isButton

isButton: boolean

- Defined in Grid3/GridCell.ts:84

### isButtonValue

isButtonValue: boolean

- Defined in Grid3/GridCell.ts:85

### isImage

isImage: boolean

- Defined in Grid3/GridCell.ts:86

### off

off: function

Inherited from IEmitter.off

- Defined in Emitter.ts:3

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### on

on: function

Inherited from IEmitter.on

- Defined in Emitter.ts:2

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### params

params: IGridCellParams

- Defined in Grid3/GridCell.ts:79

### permission

permission: string

- Defined in Grid3/GridCell.ts:78

### position

position: IGridContentCellPosition

- Defined in Grid3/GridCell.ts:80

### reference

reference: string

- Defined in Grid3/GridCell.ts:82

### register

register: function

Inherited from IEmitter.register

- Defined in Emitter.ts:5

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### row

row: number

- Defined in Grid3/GridCell.ts:69

### style

style: IActionsStyleConditionStyle | null

- Defined in Grid3/GridCell.ts:72

### type

type: string

- Defined in Grid3/GridCell.ts:68

### unRegister

unRegister: function

Inherited from IEmitter.unRegister

- Defined in Emitter.ts:6

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

## Methods

### cancel

- cancel(clear?: undefined | false | true): void

- - Defined in Grid3/GridCell.ts:92

  #### Parameters

  - ##### Optional clear: undefined | false | true

  #### Returns void

### edit

- edit(value?: undefined | string, touch?: undefined | false | true): void

- - Defined in Grid3/GridCell.ts:91

  #### Parameters

  - ##### Optional value: undefined | string

  - ##### Optional touch: undefined | false | true

  #### Returns void

### getDetails

- getDetails(): IGridCellDetails

- - Defined in Grid3/GridCell.ts:108

  #### Returns IGridCellDetails

### getFlattenStyles

- getFlattenStyles(): string

- - Defined in Grid3/GridCell.ts:109

  #### Returns string

### highlight

- highlight(): void

- - Defined in Grid3/GridCell.ts:95

  #### Returns void

### history

- history(n: boolean, user?: undefined | number): void

- - Defined in Grid3/GridCell.ts:96

  #### Parameters

  - ##### n: boolean

  - ##### Optional user: undefined | number

  #### Returns void

### onButton

- onButton(): boolean

- - Defined in Grid3/GridCell.ts:98

  #### Returns boolean

### removeEvent

- removeEvent(): void

- Inherited from IEmitter.removeEvent

  - Defined in Emitter.ts:7

  #### Returns void

### removeEvents

- removeEvents(): void

- Inherited from IEmitter.removeEvents

  - Defined in Emitter.ts:8

  #### Returns void

### selected

- selected(n: boolean, sides?: string[]): void

- - Defined in Grid3/GridCell.ts:94

  #### Parameters

  - ##### n: boolean

  - ##### Optional sides: string[]

  #### Returns void

### setButton

- setButton(button: IActionsButton | null): void

- - Defined in Grid3/GridCell.ts:100

  #### Parameters

  - ##### button: IActionsButton | null

  #### Returns void

### setFound

- setFound(n: boolean): void

- - Defined in Grid3/GridCell.ts:110

  #### Parameters

  - ##### n: boolean

  #### Returns void

### setFreeze

- setFreeze(which: string, cell?: IGridCell, cell2?: IGridCell): void

- - Defined in Grid3/GridCell.ts:93

  #### Parameters

  - ##### which: string

  - ##### Optional cell: IGridCell

  - ##### Optional cell2: IGridCell

  #### Returns void

### setOffset

- setOffset(size: number, which?: undefined | string): void

- - Defined in Grid3/GridCell.ts:103

  #### Parameters

  - ##### size: number

  - ##### Optional which: undefined | string

  #### Returns void

### setPermission

- setPermission(permission: string): void

- - Defined in Grid3/GridCell.ts:102

  #### Parameters

  - ##### permission: string

  #### Returns void

### setRowIndex

- setRowIndex(row: number, y: number): void

- - Defined in Grid3/GridCell.ts:107

  #### Parameters

  - ##### row: number

  - ##### y: number

  #### Returns void

### setSize

- setSize(which: string, size: number): void

- - Defined in Grid3/GridCell.ts:99

  #### Parameters

  - ##### which: string

  - ##### size: number

  #### Returns void

### setSorting

- setSorting(direction: string): void

- - Defined in Grid3/GridCell.ts:106

  #### Parameters

  - ##### direction: string

  #### Returns void

### setStyle

- setStyle(style: IActionsStyleConditionStyle | null): void

- - Defined in Grid3/GridCell.ts:101

  #### Parameters

  - ##### style: IActionsStyleConditionStyle | null

  #### Returns void

### setXPosition

- setXPosition(pos: number): void

- - Defined in Grid3/GridCell.ts:104

  #### Parameters

  - ##### pos: number

  #### Returns void

### setYPosition

- setYPosition(pos: number): void

- - Defined in Grid3/GridCell.ts:105

  #### Parameters

  - ##### pos: number

  #### Returns void

### update

- update(content: IPageContentCell): void

- - Defined in Grid3/GridCell.ts:90

  #### Parameters

  - ##### content: IPageContentCell

  #### Returns void

### updateSoftMerge

- updateSoftMerge(hiddenColumns: number[]): void

- - Defined in Grid3/GridCell.ts:97

  #### Parameters

  - ##### hiddenColumns: number[]

  #### Returns void

Generated using TypeDoc